%define debug_package %{nil}

Summary:	Small mathematic packet with MathCad style
Name:		smathstudio
Version:	0.97
Release:	2
License:	EULA
Group:		Sciences/Mathematics
URL:		http://ru.smath.info/forum/default.aspx?g=posts&t=130

Source0:	SMathStudioDesktop.0_97_5346.Mono.tar.gz
Source1:	SSLogo48.png
#Source2: Text_RUS.lang

Requires: mono, mono-winforms

%description
A free mathematical package with a graphical interface for the calculation 
of mathematical expressions, and constructing two-dimensional and
three-dimensional graphs.

%build
#nothing

%prep
%setup -q -c -n %{name}-%{version}
rm -f %{name}_desktop_mono
gzip lang/*
gzip book/*
gzip examples/*
gzip plugins/*
gzip entries/*
gzip snippets/*
# fix wrong-script-end-of-line-encoding
sed -i 's/\r//' EULA/*
# fix permissions
chmod -x EULA/*
chmod -x book/*
chmod -x snippets/*
chmod -x lang/*
chmod -x entries/*

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -af * %{buildroot}%{_datadir}/%{name}/
rm -rf %{buildroot}%{_datadir}/%{name}/EULA

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -Dm644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

install -dm 755 %{buildroot}%{_datadir}/applications
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=SMathStudio
GenericName=SMath Studio Desktop
Comment=Mathematical editor with MathCad style
Comment[ru]=Математический редактор a-la MathCad
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Education;Math;
EOF
install -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

install -dm 755 %{buildroot}%{_bindir}
cat > %{name} << EOF
#!/bin/bash
cd %{_datadir}/%{name}
exec mono "%{_datadir}/%{name}/SMathStudio_Desktop.exe" "\$@"
EOF
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%post
gzip -d %{_datadir}/%{name}/lang/*.gz
gzip -d %{_datadir}/%{name}/examples/*.gz
gzip -d %{_datadir}/%{name}/book/*.gz
gzip -d %{_datadir}/%{name}/plugins/*.gz
gzip -d %{_datadir}/%{name}/entries/*.gz
gzip -d %{_datadir}/%{name}/snippets/*.gz

%postun
rm -rf %{_datadir}/%{name}

%files
%doc EULA/*
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.97-2
- (6c58a16) MassBuild#1250: Increase release tag


